Skip to main content
PUT
CSharp (SDK)

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

session_id
string
required
repository_id
integer
required

Body

application/json
assignment_generation
integer
required
Required range: x >= 1
ref
string | null
Required string length: 1 - 255

Response

Successful Response

repository_id
integer
required
owner
string
required
repository
string
required
ref
string
required
base_sha
string
required
checkout_alias
string
required
checkout_path
string
required
status
enum<string>
required
Available options:
cloning,
ready,
failed
created_at
string<date-time>
required
updated_at
string<date-time>
required
requested_ref
string | null
default_branch
string | null
failure
SessionRepositoryFailure · object | null
last_push
SessionRepositoryPush · object | null
pull_request
SessionRepositoryPullRequest · object | null